from django.contrib import admin

from live.models import RoomGoodsInfo, RoomInfo, AnchorInfo, liveGoodsInfo, RoomOrderInfo


class AnchorInfoAdmin(admin.ModelAdmin):
    list_display = ('anchor_id', 'unionid', 'anchor_name', 'anchor_avatar', 'openid', 'status', 'created_at', 'updated_at')


class RoomInfoAdmin(admin.ModelAdmin):
    list_display = ('room_id', 'name', 'live_status', 'start_time', 'end_time', 'cover_img', 'share_img', 'anchor_id', 'anchor_name', 'goods', 'status', 'created_at', 'updated_at')


class liveGoodsInfoAdmin(admin.ModelAdmin):
    list_display = ('goods_id', 'wx_goods_id', 'audit_id', 'audit_status', 'goods_img', 'coverImgUrl', 'name', 'price_type', 'price', 'price2', 'url', 'status', 'created_at', 'updated_at')


class RoomGoodsInfoAdmin(admin.ModelAdmin):
    list_display = ('room_id', 'anchor_id', 'goods_id', 'inventory', 'sale_infos', 'status', 'created_at', 'updated_at')

class RoomOrderInfoAdmin(admin.ModelAdmin):
    list_display = ('order_id', 'anchor_id', 'room_id', 'goods_id', 'share_openid', 'user_id', 'total_fee', 'name', 'phone', 'address', 'tracking_number', 'pay_status', 'status', 'created_at', 'updated_at')
    readonly_fields_exclude = ('tracking_number', )


admin.site.register(AnchorInfo, AnchorInfoAdmin)
admin.site.register(RoomInfo, RoomInfoAdmin)
admin.site.register(liveGoodsInfo, liveGoodsInfoAdmin)
admin.site.register(RoomGoodsInfo, RoomGoodsInfoAdmin)
admin.site.register(RoomOrderInfo, RoomOrderInfoAdmin)